!!****if* source/Simulation/SimulationMain/MGDStep/Simulation_init
!!
!! NAME
!!
!!  Simulation_init
!!
!!
!! SYNOPSIS
!!
!!  Simulation_init()
!!
!!
!! DESCRIPTION
!!
!!  Initializes all the parameters needed for a particular simulation
!!
!!
!! ARGUMENTS
!!
!!  
!!
!! PARAMETERS
!!
!!***
subroutine Simulation_init()  
  use Simulation_data
  use RuntimeParameters_interface, ONLY : RuntimeParameters_get
  use Logfile_interface, ONLY : Logfile_stamp
  use Driver_interface, ONLY : Driver_abortFlash
  implicit none
#include "Flash.h"

  call RuntimeParameters_get('sim_tunnelYmin', sim_tunnelYmin)
  call RuntimeParameters_get('sim_tunnelYmax', sim_tunnelYmax)

  call RuntimeParameters_get('sim_teleHOT', sim_teleHOT)
  call RuntimeParameters_get('sim_tionHOT', sim_tionHOT)
  call RuntimeParameters_get('sim_tradHOT', sim_tradHOT)
  call RuntimeParameters_get('sim_teleCOLD', sim_teleCOLD)
  call RuntimeParameters_get('sim_tionCOLD', sim_tionCOLD)
  call RuntimeParameters_get('sim_tradCOLD', sim_tradCOLD)

  call RuntimeParameters_get('sim_rhoTHICK' , sim_rhoTHICK )
  call RuntimeParameters_get('sim_rhoTHIN' ,  sim_rhoTHIN  )

  call RuntimeParameters_get('sim_initGeom', sim_initGeom)

  if(sim_initGeom .NE. "planar") then
     call Driver_abortFlash("Only set up for planar geometry. Set sim_initGeom == planar")
  end if
  if (NDIM == 1) then
      call Driver_abortFlash("1D problems not allowed. Must be 2/3D!")
  endif

end subroutine Simulation_init
